Subject: Re: [eppext] [IANA #814914] INSERT “Extensible Provisioning Protocol Mapping: Email Forwarding"

From: Alexander Mayrhofer <[email-masked]>
Date: Thu, 2 Apr 2015 14:06:41 +0000

All,

I've completed my review of the extension registration request, and my (nit-picking level) comments are as follows:

- My previous concerns about the "VERISIGN PROPRIETORY INFORMATION" paragraph apply to this document as well.

- The references to the EPP specifications are outdated

- In Section 2.1, are servers REQUIRED to validate that email forwarding names actually comply to RFC2822? 

- In Section 2.3, service messages are REQUIRED to be sent to clients. However, the document does not specify the format of the actual messages. I assume there is no such formal definition then?

As a summary, the specification is very well written. I have not formally checked the Schema definition.

tia,
Alex

> -----BEGIN FORM-----
> Name of Extension:
> “Extensible Provisioning Protocol Mapping: Email Forwarding"
> 
> Document Status:
> Informational
> 
> Reference:
> http://www.verisigninc.com/assets/email-forwarding-mapping.pdf
> 
> Registrant Name and Email Address:
> VeriSign Inc., [email-masked]
> 
> TLDs: .name
> 
> IPR Disclosure: None
> 
> Status: Active
> 
> Notes: None
> -----END FORM-----

---

From: "Gould, James" <[email-masked]>
Date: Thu, 2 Apr 2015 15:02:33 +0000

Alex,

Thanks again for the detailed review and feedback.  My feedback is included below.

—

JG

James Gould
Distinguished Engineer
[email-masked]

703-948-3271
12061 Bluemont Way
Reston, VA 20190

VerisignInc.com<http://VerisignInc.com>

On Apr 2, 2015, at 10:06 AM, Alexander Mayrhofer <[email-masked]<mailto:[email-masked]>> wrote:

All,

Yes, this is the standard copyright notice that will be included with all of the custom Verisign extensions.

This extension was created and implemented a long while back, so the references could be updated.

At the time this extension was implemented RFC 2822 was the correct RFC.  This could be updated as well.

You are referring to the service message for pending actions, which takes the same text from section 2.3 of the domain mapping (RFC 5731).  What is missing is the description of the pending action poll message, as described in section 3.3 “Offline Review of Requested Actions" of the domain mapping (RFC 5731), that is supported by the XML schema of the extension.  For .NAME, we never implemented any of the pending actions or used the pending action poll message supported by the XML schema of the extension.  I can make note of the missing section 3.3 “Offline Review of Requested Actions” for completeness.

tia,
Alex

-----BEGIN FORM-----
Name of Extension:

Document Status:
Informational

Reference:

TLDs: .name

IPR Disclosure: None

Status: Active

Notes: None
-----END FORM-----

_______________________________________________
EppExt mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/eppext